/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

// @ts-check

/** @type {import('@docusaurus/plugin-content-docs').SidebarsConfig} */
const sidebars = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
  
  //tutorialSidebar: [{type: 'autogenerated', dirName: '.'}],
  functionalitySidebar: [
    {
      type: "category",
      label: "VRE Functionality",
      collapsible: true,
      collapsed: false,
      link: { type: "doc", id: "functionality/functionality" },
      items: [
        {
          type: "autogenerated",
          dirName: "functionality",
        },
      ],
    },
  ],

  aboutSidebar: [
    {
      type: "category",
      label: "About LEAF",
      collapsible: true,
      collapsed: false,
      link: { type: "doc", id: "about-leaf/overview" },
      items: [
        {
          type: "autogenerated",
          dirName: "about-leaf",
        },
      ],
    },
  ],

  documentationSidebar: [
    {
      type: "category",
      label: "Documentation",
      collapsible: true,
      collapsed: false,
      link: { type: 'generated-index',
      title: "Documentation",
      slug: "/docs/documentation"
     },
      items: [
        {
          type: "autogenerated",
          dirName: "documentation",
        },
      ],
    },
  ],

  featuresSidebar: [
    {
      type: "category",
      label: "Commons Functionality",
      collapsible: true,
      collapsed: false,
      link: { type: "doc", id: "features/dtoc" },
      items: [
        {
          type: "autogenerated",
          dirName: "features",
        },
      ],
    },
  ],

  trainingSidebar: [
    {
      type: "category",
      label: "Training",
      collapsible: true,
      collapsed: false,
      link: { type: "doc", id: "training/training" },
      items: [
        {
          type: "autogenerated",
          dirName: "training",
        },
      ],
    },
  ],

  // But you can create a sidebar manually
  /*
  tutorialSidebar: [
    {
      type: 'category',
      label: 'Tutorial',
      items: ['hello'],
    },
  ],
   */
};

module.exports = sidebars;
